function [t,y,ytrue] = ode45_test(lam,rtol,atol)

% [t,y,ytrue] = ode45_test(lam,rtol,atol)

phi  = @(x)  cos(x);
phi1 = @(x) -sin(x);

y0 = phi(0);

f=@(x,y) lam*(y-phi(x)) + phi1(x);

options = odeset('RelTol',rtol,'AbsTol',atol,'Stats','on','OutputFcn',@odeplot);

T = 2*pi;

[t,y] = ode45(f,[0 T],y0,options);


ytrue = phi(t);


